package com.nisum.ecomcustomer.model;

import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.TypeAlias;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

import java.util.List;

//TODO - check the relevance of annotations
@NoArgsConstructor
@Data
@TypeAlias("customer")
@Document("customers")
public class Customer {
    @Id
    private String id;
    @Field("fName")
    private String firstName;
    @Field("lName")
    private String lastName;
    private String email;
    private String dayPhone;
    private CustomerType customerType;
    List<Address> addresses;
}
