package com.nisum.ecomcustomer.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import org.springframework.data.mongodb.core.mapping.Field;

@Data
public class Address {
//    @Field("id")
//    private Long addressId;
    @Field("type")
    private AddressType addressType;
    @Field("line1")
    private String addressLine1;
    @Field("line2")
    private String addressLine2;
    @JsonProperty("isDefault")
    private boolean isDefault;
    private String city;
    private String state;
    private String country;
    private String zipCode;
}
